# $Revision: 1.11 $, $Date: 2005/01/09 17:56:43 $

%define 	module	fpconst

Summary:	IEEE 754 floating point special handling
Summary(pl):	Specjalna obsuga liczb zmiennoprzecinkowych IEEE 754
Name:		python-%{module}
Version:	0.7.0
Release:	4
License:	GPL
Group:		Libraries/Python
Source0:	http://www.analytics.washington.edu/~warnes/fpconst/%{module}-%{version}.tar.gz
# Source0-md5:	1544bd03727987f0b02221365bf0dada
URL:		http://www.analytics.washington.edu/Zope/projects/fpconst/
BuildRequires:	python
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This python module implements constants and functions for working with
IEEE 754 double-precision special values. It provides constants for
Not-a-Number (NaN), Positive Infinity (Inf), and Negative Infinity
(-Inf), as well as functions to test for these values.

%description -l pl
Ten modu Pythona jest implementacj staych i funkcji do pracy z
wartociami specjalnymi liczb podwjnej precyzji zgodnymi z IEEE 754.
Udostpnia stae dla nie-liczb (NaN, czyli Not-a-Number), dodatniej
nieskoczonoci (Inf) i ujemnej nieskoczonoci (-Inf), a take
funkcje do porwnywania z tymi wartociami.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{py_sitescriptdir}/*.py?

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-fpconst.spec,v $
Revision 1.11  2005/01/09 17:56:43  saq
- missing BR & pyreqeq, rel 4

Revision 1.10  2004/12/24 22:39:39  arekm
- rel 3

Revision 1.9  2004/11/02 16:40:07  undefine
- release 2 for AC

Revision 1.8  2004/11/02 16:34:36  undefine
- update to 0.7.0

Revision 1.7  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.6  2004/07/28 08:03:15  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.5  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.4  2004/01/19 12:37:54  jajcus
- Release: 3
- new architecture-independent python modules paths
- BA: noarch

Revision 1.3  2003/12/01 23:45:48  matkor
- Release 2. Ac rebuild with changed Pythons ABI.

Revision 1.2  2003/11/03 22:44:47  qboosh
- pl

Revision 1.1  2003/11/03 00:42:59  arekm
- initial pld relase
